tnfe/FFCreator 软件分析报告

基础信息

项目名称:tnfe/FFCreator

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1755466428517740544/1755466428589043712

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
ZRender 原型污染漏洞 原型污染 MPS-2021-29777 CVE-2021-39227 严重
nodejs 正则表达式漏洞 拒绝服务 MPS-2021-31423 CVE-2021-3777 高危
prompts 正则表达式拒绝服务漏洞 ReDoS MPS-2021-32909 中危
Async 原型污染漏洞 原型污染 MPS-2021-34434 CVE-2021-43138 高危
json-schema 安全漏洞 原型污染 MPS-2021-34478 CVE-2021-3918 严重
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
istanbul-reports 通过 window.opener 访问使用指向不受信任目标的 Web 链接 MPS-2022-13797 中危
node-fetch 信息泄露漏洞 未授权敏感信息泄露 MPS-2022-1461 CVE-2022-0235 中危
simple-get 信息泄露漏洞 未授权敏感信息泄露 MPS-2022-2533 CVE-2022-0355 高危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
jpeg-js拒绝服务漏洞 不可达退出条件的循环(无限循环) MPS-2022-5138 CVE-2022-25851 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
CookieJar ReDoS MPS-2022-5182 CVE-2022-25901 高危
nwsapi 拒绝服务 拒绝服务 MPS-2022-54623 中危
decode-uri-component 拒绝服务 MPS-2022-56259 CVE-2022-38900 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
cross-fetch 安全漏洞 授权检查错误 MPS-2022-8877 CVE-2022-1365 中危
word-wrap 安全漏洞 ReDoS MPS-2023-5109 CVE-2023-26115 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
Babel 插件任意代码执行漏洞漏洞 不完整的黑名单 MPS-avb9-j50z CVE-2023-45133 严重
tough-cookie 原型污染 MPS-esyq-56vx 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
simple-get 3.1.0 3.1.1 间接依赖 建议修复
zrender 5.1.1 5.2.1 间接依赖 建议修复
word-wrap 1.2.3 1.2.4 间接依赖 建议修复
json5 1.0.1 1.0.2 间接依赖 建议修复
tmpl 1.0.4 1.0.5 间接依赖 建议修复
json-schema 0.2.3 0.4.0 间接依赖 建议修复
qs 6.5.2 6.5.3 间接依赖 建议修复
jpeg-js 0.4.3 0.4.4 间接依赖 建议修复
minimist 1.2.5 1.2.6 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
tough-cookie 2.5.0 4.1.3 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
@babel/traverse 7.15.0 7.23.2 间接依赖 建议修复
request 2.88.2 间接依赖 可选修复
istanbul-reports 3.0.2 3.1.3 间接依赖 可选修复
async 3.2.1 3.2.2 间接依赖 可选修复
node-fetch 2.6.5 2.6.7 间接依赖 可选修复
cookiejar 2.1.2 2.1.4 间接依赖 可选修复
semver 5.7.1 7.5.2 间接依赖 可选修复
nwsapi 2.2.0 2.2.1 间接依赖 可选修复
prompts 2.4.1 2.4.2 直接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 490
BSD-3-Clause 22
ISC 60
BSD-2-Clause 12
Apache-2.0 20
0BSD 1
WTFPL 1
CC0-1.0 1
MIT-0 1
Unlicense 2

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
omggif 1.0.10 间接依赖 npm
buffer-from 1.1.2 间接依赖 npm
makeerror 1.0.11 间接依赖 npm
github-from-package 0.0.0 间接依赖 npm
whatwg-encoding 1.0.5 间接依赖 npm
color-name 1.1.3 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
eslint-plugin-standard 4.1.0 直接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
get-intrinsic 1.1.1 间接依赖 npm
@jest/core 26.6.3 间接依赖 npm
@jest/transform 26.6.2 间接依赖 npm
deepmerge 4.2.2 间接依赖 npm
jsbn 0.1.1 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
glsl-tokenizer 2.1.5 间接依赖 npm
inspect-with-kind 1.0.5 间接依赖 npm
shellwords 0.1.1 间接依赖 npm
@types/prettier 2.3.2 间接依赖 npm
picomatch 2.3.0 间接依赖 npm
esprima 4.0.1 间接依赖 npm
strip-eof 1.0.0 间接依赖 npm
has-bigints 1.0.1 间接依赖 npm
jest-worker 26.6.2 间接依赖 npm
acorn-jsx 5.3.2 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
babel-jest 26.6.3 间接依赖 npm
nanomatch 1.2.13 直接依赖 npm
import-local 3.0.2 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
is-buffer 1.1.6 间接依赖 npm
node-gyp 7.1.2 间接依赖 npm
mkdirp-classic 0.5.3 间接依赖 npm
eslint-plugin-node 10.0.0 直接依赖 npm
pngjs 3.4.0 间接依赖 npm
arr-diff 4.0.0 间接依赖 npm
supports-hyperlinks 2.2.0 间接依赖 npm
fs-constants 1.0.0 间接依赖 npm
jsdom 16.7.0 间接依赖 npm
tar-stream 2.2.0 间接依赖 npm
asn1 0.2.4 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
delegates 1.0.0 间接依赖 npm
earcut 2.2.3 间接依赖 npm
eventemitter3 4.0.7 间接依赖 npm
@types/babel__generator 7.6.3 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
string-length 4.0.2 间接依赖 npm
cliui 6.0.0 间接依赖 npm
domexception 2.0.1 间接依赖 npm
file-uri-to-path 1.0.0 间接依赖 npm
typedarray-pool 1.2.0 间接依赖 npm
pkg-up 2.0.0 间接依赖 npm
jest-changed-files 26.6.2 间接依赖 npm
through 2.3.8 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
nopt 5.0.0 间接依赖 npm
w3c-hr-time 1.0.2 间接依赖 npm
collect-v8-coverage 1.0.1 间接依赖 npm
mime-types 2.1.32 间接依赖 npm
resolve-cwd 3.0.0 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
node-notifier 8.0.2 间接依赖 npm
@babel/core 7.15.0 间接依赖 npm
@jest/test-sequencer 26.6.3 间接依赖 npm
flat-cache 2.0.1 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
whatwg-mimetype 2.3.0 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
eslint-utils 1.4.3 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
jest-validate 26.6.2 间接依赖 npm
form-data 2.3.3 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
@babel/helper-hoist-variables 7.14.5 间接依赖 npm
@jest/environment 26.6.2 间接依赖 npm
has 1.0.3 间接依赖 npm
pify 3.0.0 间接依赖 npm
@jest/source-map 26.6.2 间接依赖 npm
yargs 15.4.1 间接依赖 npm
tslib 1.14.1 间接依赖 npm
node-modules-regexp 1.0.0 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
@bcoe/v8-coverage 0.2.3 间接依赖 npm
coveralls 3.1.1 直接依赖 npm
run-async 2.4.1 间接依赖 npm
parse-data-uri 0.2.0 间接依赖 npm
lottie-nodejs 1.1.5 直接依赖 npm
iota-array 1.0.0 间接依赖 npm
gl-shader 4.3.1 间接依赖 npm
json5 1.0.1 间接依赖 npm
locate-path 2.0.0 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
exit 0.1.2 间接依赖 npm
@babel/generator 7.15.0 间接依赖 npm
forever-agent 0.6.1 间接依赖 npm
nice-try 1.0.5 间接依赖 npm
split-string 3.1.0 间接依赖 npm
jest 26.6.3 直接依赖 npm
path-key 2.0.1 间接依赖 npm
chownr 2.0.0 间接依赖 npm
cookiejar 2.1.2 间接依赖 npm
gl-constants 1.0.0 间接依赖 npm
simple-concat 1.0.1 间接依赖 npm
istanbul-lib-coverage 3.0.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
temp-dir 2.0.0 间接依赖 npm
bindings 1.5.0 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
glob 7.1.7 间接依赖 npm
gl-transitions 1.43.0 直接依赖 npm
fsevents 2.3.2 间接依赖 npm
browserslist 4.16.8 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
superagent 6.1.0 间接依赖 npm
@types/babel__core 7.1.15 间接依赖 npm
mime 2.5.2 间接依赖 npm
@babel/traverse 7.15.0 间接依赖 npm
which-boxed-primitive 1.0.2 间接依赖 npm
mixin-deep 1.3.2 间接依赖 npm
node-fetch 2.6.5 间接依赖 npm
espree 6.2.1 间接依赖 npm
jest-leak-detector 26.6.2 间接依赖 npm
isobject 3.0.1 间接依赖 npm
read-pkg-up 3.0.0 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
test-exclude 6.0.0 间接依赖 npm
@istanbuljs/load-nyc-config 1.1.0 间接依赖 npm
snapdragon-node 2.1.1 直接依赖 npm
colors 1.4.0 直接依赖 npm
deep-is 0.1.3 间接依赖 npm
canvas 2.8.0 间接依赖 npm
jest-diff 26.6.2 间接依赖 npm
object-copy 0.1.0 间接依赖 npm
json-parse-better-errors 1.0.2 间接依赖 npm
p-limit 1.3.0 间接依赖 npm
util-deprecate 1.0.2 直接依赖 npm
babel-plugin-jest-hoist 26.6.2 间接依赖 npm
@babel/code-frame 7.14.5 间接依赖 npm
@babel/highlight 7.14.5 间接依赖 npm
array.prototype.flat 1.2.4 间接依赖 npm
object-visit 1.0.1 间接依赖 npm
semver 5.7.1 间接依赖 npm
cssom 0.4.4 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
camelcase 5.3.1 间接依赖 npm
argparse 1.0.10 间接依赖 npm
rc 1.2.8 间接依赖 npm
jest-resolve-dependencies 26.6.3 间接依赖 npm
gensync 1.0.0-beta.2 间接依赖 npm
urix 0.1.0 间接依赖 npm
@mapbox/node-pre-gyp 1.0.5 间接依赖 npm
eslint 6.8.0 直接依赖 npm
path-type 3.0.0 间接依赖 npm
@babel/helper-module-transforms 7.15.0 间接依赖 npm
jest-snapshot 26.6.2 间接依赖 npm
@babel/types 7.15.0 间接依赖 npm
is-docker 2.2.1 间接依赖 npm
strip-json-comments 2.0.1 间接依赖 npm
is-boolean-object 1.1.2 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
eslint-config-standard 14.1.1 直接依赖 npm
at-least-node 1.0.0 间接依赖 npm
remove-trailing-separator 1.1.0 直接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
strip-final-newline 2.0.0 直接依赖 npm
glob-option-error 1.0.0 间接依赖 npm
convert-source-map 1.8.0 间接依赖 npm
@types/yargs 15.0.14 间接依赖 npm
p-try 1.0.0 间接依赖 npm
ndarray-pack 1.2.1 间接依赖 npm
y18n 4.0.3 间接依赖 npm
minimist 1.2.5 间接依赖 npm
noop-logger 0.1.1 间接依赖 npm
levn 0.3.0 间接依赖 npm
sprintf-js 1.1.2 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
ffmpeg-probe 1.0.6 直接依赖 npm
string.prototype.trimstart 1.0.4 间接依赖 npm
fluent-ffmpeg 2.1.2 直接依赖 npm
jest-environment-jsdom 26.6.2 间接依赖 npm
@babel/helper-split-export-declaration 7.14.5 间接依赖 npm
has-tostringtag 1.0.0 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
call-bind 1.0.2 间接依赖 npm
jest-jasmine2 26.6.3 间接依赖 npm
for-in 1.0.2 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
jest-matcher-utils 26.6.2 间接依赖 npm
@sinonjs/commons 1.8.3 间接依赖 npm
echarts 5.1.2 直接依赖 npm
@jest/reporters 26.6.2 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
ms 2.1.2 间接依赖 npm
caseless 0.12.0 间接依赖 npm
isstream 0.1.2 间接依赖 npm
slice-ansi 2.1.0 间接依赖 npm
bl 4.1.0 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
@jest/types 26.6.2 间接依赖 npm
node-bitmap 0.0.1 间接依赖 npm
sshpk 1.16.1 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
lodash 4.17.21 间接依赖 npm
js-yaml 3.14.1 间接依赖 npm
cli-width 3.0.0 间接依赖 npm
pixi-gl-core 1.1.4 间接依赖 npm
type-fest 0.16.0 间接依赖 npm
capture-exit 2.0.0 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
get-package-type 0.1.0 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
gl 4.9.2 间接依赖 npm
jest-message-util 26.6.2 间接依赖 npm
isarray 0.0.1 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
simple-get 3.1.0 间接依赖 npm
@jest/test-result 26.6.2 间接依赖 npm
jsprim 1.4.1 间接依赖 npm
side-channel 1.0.4 间接依赖 npm
slash 3.0.0 间接依赖 npm
are-we-there-yet 1.1.7 间接依赖 npm
array-unique 0.3.2 间接依赖 npm
tmpl 1.0.4 间接依赖 npm
pump 3.0.0 间接依赖 npm
esutils 2.0.3 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
yallist 4.0.0 间接依赖 npm
@babel/helper-replace-supers 7.15.0 间接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
oauth-sign 0.9.0 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
cross-spawn 6.0.5 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
es-abstract 1.18.5 间接依赖 npm
sane 4.1.0 间接依赖 npm
har-validator 5.1.5 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
http-signature 1.2.0 间接依赖 npm
jest-get-type 26.3.0 间接依赖 npm
pirates 4.0.1 间接依赖 npm
word-wrap 1.2.3 间接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
micromatch 4.0.4 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
@types/istanbul-lib-report 3.0.0 间接依赖 npm
object.values 1.1.4 间接依赖 npm
ndarray 1.0.19 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
typescript 4.4.3 直接依赖 npm
source-map-support 0.5.19 间接依赖 npm
kleur 3.0.3 间接依赖 npm
istanbul-lib-report 3.0.0 间接依赖 npm
debug 4.3.2 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
v8-to-istanbul 7.1.2 间接依赖 npm
execa 0.10.0 间接依赖 npm
typedarray-to-buffer 3.1.5 间接依赖 npm
inflight 1.0.6 间接依赖 npm
jest-pnp-resolver 1.2.2 间接依赖 npm
@babel/helper-validator-option 7.14.5 间接依赖 npm
bser 2.1.1 间接依赖 npm
jest-util 26.6.2 间接依赖 npm
has-symbols 1.0.2 间接依赖 npm
leven 3.1.0 间接依赖 npm
decimal.js 10.3.1 间接依赖 npm
object.assign 4.1.2 间接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
text-table 0.2.0 间接依赖 npm
string_decoder 0.10.31 间接依赖 npm
string-width 1.0.2 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
eslint-module-utils 2.6.2 间接依赖 npm
nwsapi 2.2.0 间接依赖 npm
gl-transition 1.13.0 直接依赖 npm
@types/babel__traverse 7.14.2 间接依赖 npm
@babel/helper-plugin-utils 7.14.5 间接依赖 npm
emittery 0.7.2 间接依赖 npm
get-stream 3.0.0 间接依赖 npm
number-is-nan 1.0.1 间接依赖 npm
graceful-fs 4.2.8 间接依赖 npm
babel-preset-jest 26.6.2 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
is-fullwidth-code-point 1.0.0 间接依赖 npm
ecc-jsbn 0.1.2 间接依赖 npm
map-visit 1.0.0 间接依赖 npm
tmp 0.0.33 间接依赖 npm
has-value 1.0.0 间接依赖 npm
process-nextick-args 2.0.1 直接依赖 npm
parse5 6.0.1 间接依赖 npm
bit-twiddle 1.0.2 间接依赖 npm
istanbul-lib-source-maps 4.0.0 间接依赖 npm
progress 2.0.3 间接依赖 npm
qs 6.5.2 间接依赖 npm
posix-character-classes 0.1.1 间接依赖 npm
v8-compile-cache 2.3.0 间接依赖 npm
@babel/helper-function-name 7.14.5 间接依赖 npm
nan 2.15.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
readable-stream 1.0.34 间接依赖 npm
indexed-filter 1.0.3 间接依赖 npm
chardet 0.7.0 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
make-dir 3.1.0 间接依赖 npm
signal-exit 3.0.3 间接依赖 npm
type-check 0.3.2 间接依赖 npm
glsl-shader-name 1.0.0 间接依赖 npm
read-pkg 3.0.0 间接依赖 npm
pretty-format 26.6.2 间接依赖 npm
verror 1.10.0 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
ajv 6.12.6 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
extsprintf 1.3.0 间接依赖 npm
xml-name-validator 3.0.0 间接依赖 npm
node-abi 2.30.1 间接依赖 npm
xtend 4.0.2 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
external-editor 3.1.0 间接依赖 npm
validate-glob-opts 1.0.2 间接依赖 npm
@types/yargs-parser 20.2.1 间接依赖 npm
node-int64 0.4.0 间接依赖 npm
figures 3.2.0 间接依赖 npm
env-paths 2.2.1 间接依赖 npm
which 1.3.1 间接依赖 npm
inkpaint 2.7.1 直接依赖 npm
ini 1.3.8 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
mtempy 1.0.0 直接依赖 npm
data-urls 2.0.0 间接依赖 npm
regexpp 2.0.1 间接依赖 npm
onetime 5.1.2 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
pkg-dir 2.0.0 间接依赖 npm
jpeg-js 0.4.3 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
atob-lite 1.0.0 间接依赖 npm
@types/node 16.7.1 间接依赖 npm
@sinonjs/fake-timers 6.0.1 间接依赖 npm
jest-config 26.6.3 间接依赖 npm
co 4.6.0 间接依赖 npm
esquery 1.4.0 间接依赖 npm
jsonfile 6.1.0 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
is-generator-fn 2.1.0 间接依赖 npm
is-wsl 2.2.0 间接依赖 npm
exec-sh 0.3.6 间接依赖 npm
formidable 1.2.2 间接依赖 npm
source-map 0.5.7 间接依赖 npm
is-number-object 1.0.6 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
component-emitter 1.3.0 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
uuid 3.4.0 间接依赖 npm
tar-fs 2.1.1 间接依赖 npm
jest-runtime 26.6.3 间接依赖 npm
load-json-file 4.0.0 间接依赖 npm
cjs-module-lexer 0.6.0 间接依赖 npm
write 1.0.3 间接依赖 npm
async 3.2.1 间接依赖 npm
@types/normalize-package-data 2.4.1 直接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
escodegen 2.0.0 间接依赖 npm
istanbul-reports 3.0.2 间接依赖 npm
detect-libc 1.0.3 间接依赖 npm
fast-safe-stringify 2.1.1 间接依赖 npm
define-property 2.0.2 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
psl 1.8.0 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
jest-watcher 26.6.2 间接依赖 npm
@cnakazawa/watch 1.0.4 间接依赖 npm
import-fresh 3.3.0 间接依赖 npm
optionator 0.8.3 间接依赖 npm
detect-newline 3.1.0 间接依赖 npm
@babel/helpers 7.15.3 间接依赖 npm
@babel/compat-data 7.15.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
zrender 5.1.1 间接依赖 npm
request 2.88.2 间接依赖 npm
is-data-descriptor 0.1.4 间接依赖 npm
resolve 1.20.0 间接依赖 npm
set-value 2.0.1 间接依赖 npm
crypto-random-string 2.0.0 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
is-plain-obj 1.1.0 间接依赖 npm
object-inspect 1.11.0 间接依赖 npm
is-date-object 1.0.5 间接依赖 npm
find-up 2.1.0 间接依赖 npm
internal-slot 1.0.3 间接依赖 npm
@babel/helper-module-imports 7.14.5 间接依赖 npm
json-parse-even-better-errors 2.3.1 直接依赖 npm
unset-value 1.0.0 间接依赖 npm
left-pad 1.3.0 直接依赖 npm
source-map-url 0.4.1 间接依赖 npm
getpass 0.1.7 间接依赖 npm
symbol-tree 3.2.4 间接依赖 npm
array-includes 3.1.3 间接依赖 npm
arr-flatten 1.1.0 直接依赖 npm
eslint-plugin-promise 4.3.1 直接依赖 npm
get-pixels 3.3.3 直接依赖 npm
@types/json5 0.0.29 间接依赖 npm
jest-resolve 26.6.2 间接依赖 npm
react-is 17.0.2 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
console-control-strings 1.1.0 间接依赖 npm
throat 5.0.0 间接依赖 npm
is-bigint 1.0.4 间接依赖 npm
@babel/helper-simple-access 7.14.8 间接依赖 npm
is-symbol 1.0.4 间接依赖 npm
aws-sign2 0.7.0 间接依赖 npm
is-core-module 2.6.0 间接依赖 npm
mimic-response 2.1.0 间接依赖 npm
npmlog 4.1.2 间接依赖 npm
diff-sequences 26.6.2 间接依赖 npm
@types/babel__template 7.4.1 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
har-schema 2.0.0 间接依赖 npm
@babel/helper-compilation-targets 7.15.0 间接依赖 npm
babel-preset-current-node-syntax 1.0.1 间接依赖 npm
acorn-globals 6.0.0 间接依赖 npm
human-signals 1.1.1 直接依赖 npm
once 1.4.0 间接依赖 npm
base 0.11.2 间接依赖 npm
uniq 1.0.1 间接依赖 npm
https-proxy-agent 5.0.0 间接依赖 npm
decompress-response 4.2.1 间接依赖 npm
aproba 1.2.0 间接依赖 npm
through2 0.6.5 间接依赖 npm
agent-base 6.0.2 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
keypress 0.2.1 直接依赖 npm
expand-template 2.0.3 间接依赖 npm
astral-regex 1.0.0 间接依赖 npm
get-value 2.0.6 间接依赖 npm
char-regex 1.0.2 间接依赖 npm
gl-texture2d 2.1.0 直接依赖 npm
eslint-plugin-import 2.24.2 直接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
eslint-visitor-keys 1.3.0 间接依赖 npm
@jest/console 26.6.2 间接依赖 npm
shebang-regex 1.0.0 间接依赖 npm
decode-uri-component 0.2.0 间接依赖 npm
istanbul-lib-instrument 4.0.3 间接依赖 npm
lines-and-columns 1.1.6 直接依赖 npm
emoji-regex 8.0.0 直接依赖 npm
which-pm-runs 1.0.0 间接依赖 npm
@babel/helper-validator-identifier 7.14.9 间接依赖 npm
@types/istanbul-lib-coverage 2.0.3 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
chalk 2.4.2 间接依赖 npm
siz 1.2.2 直接依赖 npm
prelude-ls 1.1.2 间接依赖 npm
babel-plugin-istanbul 6.0.0 间接依赖 npm
unique-string 2.0.0 间接依赖 npm
@istanbuljs/schema 0.1.3 间接依赖 npm
ignore 4.0.6 间接依赖 npm
is-ci 2.0.0 间接依赖 npm
globals 11.12.0 间接依赖 npm
dup 1.0.0 间接依赖 npm
end-of-stream 1.4.4 间接依赖 npm
bcrypt-pbkdf 1.0.2 间接依赖 npm
@jest/globals 26.6.2 间接依赖 npm
fs-minipass 2.1.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
rmfr 2.0.0 间接依赖 npm
ansi-escapes 4.3.2 间接依赖 npm
snapdragon 0.8.2 间接依赖 npm
atob 2.1.2 间接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
lru-cache 6.0.0 直接依赖 npm
methods 1.1.2 间接依赖 npm
prompts 2.4.1 直接依赖 npm
@types/graceful-fs 4.1.5 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
@babel/template 7.14.5 间接依赖 npm
punycode 2.1.1 间接依赖 npm
ci-info 2.0.0 间接依赖 npm
acorn 7.4.1 间接依赖 npm
isexe 2.0.0 间接依赖 npm
file-entry-cache 5.0.1 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
prebuild-install 5.3.6 间接依赖 npm
jest-runner 26.6.3 间接依赖 npm
@tweenjs/tween.js 18.5.0 直接依赖 npm
braces 3.0.2 间接依赖 npm
union-value 1.0.1 间接依赖 npm
source-map-resolve 0.5.3 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
lottie-api 1.0.3 间接依赖 npm
shebang-command 1.2.0 间接依赖 npm
code-point-at 1.1.0 间接依赖 npm
gl-buffer 2.1.2 直接依赖 npm
which-module 2.0.0 间接依赖 npm
jest-serializer 26.6.2 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
path-exists 3.0.0 间接依赖 npm
tr46 2.1.0 间接依赖 npm
jest-regex-util 26.0.0 间接依赖 npm
deep-extend 0.6.0 间接依赖 npm
weakmap-shim 1.1.1 间接依赖 npm
is-potential-custom-element-name 1.0.1 间接依赖 npm
minizlib 2.1.2 间接依赖 npm
webidl-conversions 6.1.0 间接依赖 npm
parse-uri 1.0.3 间接依赖 npm
fb-watchman 2.0.1 间接依赖 npm
stack-utils 2.0.3 间接依赖 npm
mini-signals 1.2.0 间接依赖 npm
sisteransi 1.0.5 间接依赖 npm
is-string 1.0.7 间接依赖 npm
http-proxy-agent 4.0.1 间接依赖 npm
saxes 5.0.1 间接依赖 npm
@xsstomy/subsrt 1.0.0 直接依赖 npm
tough-cookie 2.5.0 间接依赖 npm
rxjs 6.6.7 间接依赖 npm
callsites 3.1.0 间接依赖 npm
jest-mock 26.6.2 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
jest-environment-node 26.6.2 间接依赖 npm
mute-stream 0.0.8 间接依赖 npm
aws4 1.11.0 间接依赖 npm
w3c-xmlserializer 2.0.0 间接依赖 npm
has-unicode 2.0.1 间接依赖 npm
abab 2.0.5 间接依赖 npm
string.prototype.trimend 1.0.4 间接依赖 npm
flatted 2.0.2 间接依赖 npm
minipass 3.1.5 间接依赖 npm
eslint-import-resolver-node 0.3.6 间接依赖 npm
jest-docblock 26.0.0 间接依赖 npm
json-schema 0.2.3 间接依赖 npm
spdx-correct 3.1.1 间接依赖 npm
use 3.1.1 间接依赖 npm
is-regex 1.1.4 间接依赖 npm
strip-bom 3.0.0 间接依赖 npm
fs-extra 9.1.0 直接依赖 npm
tsconfig-paths 3.11.0 间接依赖 npm
is-callable 1.2.4 间接依赖 npm
write-file-atomic 3.0.3 间接依赖 npm
assert-valid-glob-opts 1.0.0 间接依赖 npm
append-type 1.0.2 间接依赖 npm
p-each-series 2.2.0 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
napi-build-utils 1.0.2 间接依赖 npm
@babel/helper-get-function-arity 7.14.5 间接依赖 npm
log-driver 1.2.7 间接依赖 npm
lcov-parse 1.0.0 间接依赖 npm
tweetnacl 0.14.5 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
anymatch 3.1.2 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
babel-eslint 10.1.0 直接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
has-values 1.0.0 间接依赖 npm
pad-left 1.0.2 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
tar 6.1.11 间接依赖 npm
eslint-plugin-es 2.0.0 间接依赖 npm
@babel/parser 7.15.3 间接依赖 npm
@types/istanbul-reports 3.0.1 间接依赖 npm
growly 1.3.0 间接依赖 npm
terminal-link 2.1.1 间接依赖 npm
expect 26.6.2 间接依赖 npm
universalify 2.0.0 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
ws 7.5.3 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
mime-db 1.49.0 间接依赖 npm
gauge 2.7.4 间接依赖 npm
npm-run-path 2.0.2 间接依赖 npm
cssstyle 2.3.0 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
is-stream 1.1.0 间接依赖 npm
is-accessor-descriptor 0.1.6 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
@types/stack-utils 2.0.1 间接依赖 npm
html-escaper 2.0.2 间接依赖 npm
wide-align 1.1.3 间接依赖 npm
extglob 2.0.4 直接依赖 npm
gl-format-compiler-error 1.0.3 间接依赖 npm
array-to-sentence 1.1.0 间接依赖 npm
table 5.4.6 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
ret 0.1.15 间接依赖 npm
mkdirp 1.0.4 间接依赖 npm
is-negative-zero 2.0.1 间接依赖 npm
data-uri-to-buffer 0.0.3 间接依赖 npm
whatwg-url 8.7.0 间接依赖 npm
inquirer 7.3.3 间接依赖 npm
parse-json 4.0.0 间接依赖 npm
add-line-numbers 1.0.1 间接依赖 npm
@jest/fake-timers 26.6.2 间接依赖 npm
require-main-filename 2.0.0 间接依赖 npm
p-locate 2.0.0 间接依赖 npm
jest-haste-map 26.6.2 间接依赖 npm
repeat-element 1.1.4 直接依赖 npm
cwise-compiler 1.1.3 间接依赖 npm
html-encoding-sniffer 2.0.1 间接依赖 npm
ndarray-ops 1.2.2 间接依赖 npm
unbox-primitive 1.0.1 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
walker 1.0.7 间接依赖 npm
rsvp 4.8.5 间接依赖 npm
wrap-ansi 6.2.0 间接依赖 npm
browser-or-node 1.3.0 间接依赖 npm
jest-each 26.6.2 间接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
es-to-primitive 1.2.1 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
yargs-parser 18.1.3 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
(0)
上一篇 2024年2月8日
下一篇 2024年2月8日

相关推荐

  • cengels/skywriter 软件分析报告

    基础信息 项目名称:cengels/skywriter 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716608307418497024/1716608307624017920 此报告由Murphysec提供 …

    软件分析 2023年10月24日
    0
  • keep-network/tbtc 软件分析报告

    基础信息 项目名称:keep-network/tbtc 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719403377652973568/1719403377694916608 此报告由Murphysec提供 …

    软件分析 2023年11月1日
    0
  • taichi-dev/taichi 软件分析报告

    基础信息 项目名称:taichi-dev/taichi 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1744135633203707904/1744135633245650944 此报告由Murphysec提供 …

    软件分析 2024年1月8日
    0
  • Ethosa/nodesnim 软件分析报告

    基础信息 项目名称:Ethosa/nodesnim 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717545908392558592/1717545908501610496 此报告由Murphysec提供 漏洞…

    软件分析 2023年10月26日
    0
  • saleem-hadad/larecipe 软件分析报告

    基础信息 项目名称:saleem-hadad/larecipe 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1744445251729874944/1758462901854900224 此报告由Murphyse…

    软件分析 2024年2月16日
    0